/* global Qv, Qva, console, SquirroSearch_Widget */
(function () {
    function search_init() {
        var squirros = {};

        Qv.AddExtension('Squirro/SquirroSearch', function () {
            var name = this.Name;
            try {
                if (squirros[name]) {
                    squirros[name].render(this);
                } else {
                    squirros[name] = new SquirroSearch_Widget(this);
                }
            } catch (e) {
                if (console) {
                    console.log(e);
                }
            }
        });
    }

    var libs = [
        'Extensions/Squirro/SquirroSearch/search.js'
    ];
    Qva.LoadCSS(Qva.Remote + (Qva.Remote.indexOf('?') >= 0 ? '&' : '?') + 'public=only&name=Extensions/Squirro/SquirroSearch/search.css');
    Qv.LoadExtensionScripts(libs, search_init);
})();
